plugins {
    id("com.android.library")
    id("org.jetbrains.kotlin.android")
    id("com.google.devtools.ksp")
}

android {
    namespace = "com.isidroid.ms_office"
    compileSdk = BuildVersions.COMPILE_SDK

    defaultConfig {
        minSdk = BuildVersions.MIN_SDK

        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
        consumerProguardFiles("consumer-rules.pro")
    }

    buildTypes {
        release {
            isMinifyEnabled = false
            proguardFiles(getDefaultProguardFile("proguard-android-optimize.txt"), "proguard-rules.pro")
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_17
        targetCompatibility = JavaVersion.VERSION_17
    }
    kotlinOptions {
        jvmTarget = "17"
    }
}

dependencies {
    api(project(mapOf("path" to ":core:utils")))

    api("androidx.core:core-ktx:${GoogleVersions.coreKtx}")
    api("androidx.appcompat:appcompat:${GoogleVersions.appCompat}")
    api("androidx.documentfile:documentfile:${GoogleVersions.documentFile}")

    // tools
    api("com.jakewharton.timber:timber:${ToolsVersions.timber}")

    api("org.apache.poi:poi:5.2.3")
    api("org.apache.poi:poi-ooxml:5.2.3")
    api("org.apache.poi:poi-scratchpad:5.2.3")
    api("com.itextpdf:itext7-core:7.2.0")


    testImplementation("junit:junit:${TestVersions.junit}")
    androidTestImplementation("androidx.test.ext:junit:${TestVersions.junitExt}")
    androidTestImplementation("androidx.test.espresso:espresso-core:${TestVersions.espressoCore}")
}